Bug 672942 - Unbadging a resource as a favorite results in it still appearing in status tray list
Unbadging a resource as a favorite results in it still appearing in status tr...
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: Core UI (Show other bugs)
unspecified
Unspecified Unspecified
medium Severity medium (vote)
: ---
: ---
Assigned To: Jay Shaughnessy
Corey Welton
:
Depends On:
Blocks: gwt-favorites
  Show dependency treegraph
 
Reported: 2011-01-26 13:44 EST by Corey Welton
Modified: 2011-05-23 21:08 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-05-23 21:08:57 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
screenshot (72.11 KB, image/png)
2011-01-26 13:51 EST, Corey Welton
no flags Details
fixed - group favorite (16.81 KB, image/png)
2011-03-24 09:32 EDT, John Mazzitelli
no flags Details
fixed - individual resource favorite (19.72 KB, image/png)
2011-03-24 09:33 EDT, John Mazzitelli
no flags Details

  None (edit)
Description Corey Welton 2011-01-26 13:44:25 EST
Description of problem:
If user creates a group, badges it as a favorite, it correctly appears in the 'dropdown' list in the status tray.  However, unbadging it does not result in its removal from the list.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.  Create a group in JON; navigate to group; click the "favorites" badge to add it to your favorites
2.  Navigate to the "Favorites ^" box in the status tray; note that resource appears in the list.
3.  Navigate to the resource again and click the badge again to remove it from favorites.
4. Return to the Favorites box in the status tray; observe results.
  
Actual results:
Group is not removed from status tray.

Expected results:
Group is removed.

Additional info:
This does not seem to be a problem with individual resources, only groups.
Comment 1 Corey Welton 2011-01-26 13:51:04 EST
Created attachment 475465 [details]
screenshot

Note that after removing, resource still appears in list.

This screenshot may be slightly misleading, as I appear to be looking immediately after removing the resource.  However, I have waited some period of time and it doesn't go away.  It persists across logins.

Also note: I discovered that if you remove a resource, but then add a different resource, the initial one is finally cleared, and the new one is added.  But in the end you'll never be able to get rid of ALL favorites - there's always going to be something left over.
Comment 2 Corey Welton 2011-01-26 13:56:32 EST
Actually, it appears that this _does_ occur with individual resources as well -- at least sometimes.
Comment 3 John Mazzitelli 2011-03-24 09:32:58 EDT
Created attachment 487329 [details]
fixed - group favorite

jay fixed this recently. see attached snapshots
Comment 4 John Mazzitelli 2011-03-24 09:33:16 EDT
Created attachment 487331 [details]
fixed - individual resource favorite
Comment 5 Corey Welton 2011-03-29 11:57:12 EDT
Verified
Comment 6 Corey Welton 2011-05-23 21:08:57 EDT
Bookkeeping - closing bug - fixed in recent release.

Note You need to log in before you can comment on or make changes to this bug.